/**
 * vue-sparklines v2.0.1
 * (c) 2022 tangzhen@me.com
 * @license MIT
 */

import mean from './mean.js';

var stdev = (function (data) {
  var dataMean = mean(data);
  var sqDiff = data.map(function (n) {
    return Math.pow(n - dataMean, 2);
  });
  var avgSqDiff = mean(sqDiff);
  return Math.sqrt(avgSqDiff);
});

export { stdev as default };
//# sourceMappingURL=stdev.js.map
