/**
 * vue-sparklines v2.0.1
 * (c) 2022 tangzhen@me.com
 * @license MIT
 */

'use strict';

var utils_min = require('../utils/min.js');
var utils_max = require('../utils/max.js');
var utils_mean = require('../utils/mean.js');
var utils_midRange = require('../utils/midRange.js');
var utils_median = require('../utils/median.js');
var utils_stdev = require('../utils/stdev.js');
var utils_variance = require('../utils/variance.js');
var utils_dataToPoints = require('../utils/dataToPoints.js');
var utils_debounce = require('../utils/debounce.js');
var utils_genColor = require('../utils/genColor.js');
var utils_uid = require('../utils/uid.js');
var utils_isEmpty = require('../utils/isEmpty.js');

var utils = /*#__PURE__*/Object.freeze({
	__proto__: null,
	min: utils_min["default"],
	max: utils_max["default"],
	mean: utils_mean["default"],
	avg: utils_mean["default"],
	midRange: utils_midRange["default"],
	median: utils_median["default"],
	stdev: utils_stdev["default"],
	variance: utils_variance["default"],
	dataToPoints: utils_dataToPoints["default"],
	debounce: utils_debounce["default"],
	color: utils_genColor["default"],
	uid: utils_uid["default"],
	isEmpty: utils_isEmpty["default"]
});

exports.utils = utils;
//# sourceMappingURL=dep-b3aeb592.js.map
