/**
 * vue-sparklines v2.0.1
 * (c) 2022 tangzhen@me.com
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _defineProperty = require('@babel/runtime/helpers/defineProperty');
var vue = require('vue');
var Text = require('../Text.js');
require('../props.js');
require('../utils/uid.js');
require('../constant.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _defineProperty__default = /*#__PURE__*/_interopDefaultLegacy(_defineProperty);

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var useSpotCheck = function useSpotCheck() {
  var checkSpotType = function checkSpotType(_ref) {
    var props = _ref.props,
        items = _ref.items,
        point = _ref.point,
        i = _ref.i,
        hasSpotlight = _ref.hasSpotlight;

    if (!props.hasSpot && !hasSpotlight) {
      return true;
    }

    if (!props.hasSpot && props.spotlight === i) {
      items.push(vue.h(Text["default"], _objectSpread(_objectSpread({}, props), {}, {
        text: "".concat(props.data[props.spotlight]),
        point: point
      })));
      return true;
    }

    return false;
  };

  return {
    checkSpotType: checkSpotType
  };
};

exports["default"] = useSpotCheck;
//# sourceMappingURL=useSpotCheck.js.map
