/**
 * vue-sparklines v2.0.1
 * (c) 2022 tangzhen@me.com
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var utils_min = require('./min.js');
var utils_max = require('./max.js');
var utils_mean = require('./mean.js');
var utils_midRange = require('./midRange.js');
var utils_median = require('./median.js');
var utils_stdev = require('./stdev.js');
var utils_variance = require('./variance.js');
var utils_dataToPoints = require('./dataToPoints.js');
var utils_debounce = require('./debounce.js');
var utils_genColor = require('./genColor.js');
var utils_uid = require('./uid.js');
var utils_isEmpty = require('./isEmpty.js');



exports.min = utils_min["default"];
exports.max = utils_max["default"];
exports.avg = utils_mean["default"];
exports.mean = utils_mean["default"];
exports.midRange = utils_midRange["default"];
exports.median = utils_median["default"];
exports.stdev = utils_stdev["default"];
exports.variance = utils_variance["default"];
exports.dataToPoints = utils_dataToPoints["default"];
exports.debounce = utils_debounce["default"];
exports.color = utils_genColor["default"];
exports.uid = utils_uid["default"];
exports.isEmpty = utils_isEmpty["default"];
//# sourceMappingURL=index.js.map
