/**
 * vue-sparklines v2.0.1
 * (c) 2022 tangzhen@me.com
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var utils_mean = require('./mean.js');

var stdev = (function (data) {
  var dataMean = utils_mean["default"](data);
  var sqDiff = data.map(function (n) {
    return Math.pow(n - dataMean, 2);
  });
  var avgSqDiff = utils_mean["default"](sqDiff);
  return Math.sqrt(avgSqDiff);
});

exports["default"] = stdev;
//# sourceMappingURL=stdev.js.map
