/**
 * vue-sparklines v2.0.1
 * (c) 2022 tangzhen@me.com
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var utils_mean = require('./mean.js');

var variance = (function (data) {
  var dataMean = utils_mean["default"](data);
  var sq = data.map(function (n) {
    return Math.pow(n - dataMean, 2);
  });
  return utils_mean["default"](sq);
});

exports["default"] = variance;
//# sourceMappingURL=variance.js.map
